﻿@model CustomerService.Web.ViewModels.Stats.StatsViewModel
@{
    ViewBag.Title = "Requests and users statistics";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div ng-controller="StatsController as main" ng-cloak class="stats">

    <div class="clearfix">
        <div class="col-md-12">
            <h1 class="page-title">
                <span ng-bind="main.viewName + '. Requests in queue: ' + main.queueLength"></span>
            </h1>
        </div>


        <div class="col-md-12 mb-2">
            <div style="display: inline-block;">

                <button class="btn btn-success btn-sm" type="button" ng-click="main.updateData(false)">
                    <span class="fa fa-refresh"></span>
                    Update Statistics
                </button>

                <div class="checkbox checkbox-inline" style="margin-bottom: 0; margin-top: 0;">
                    <label> 
                        <input type="checkbox" ng-change="main.toggleAutoUpdate(autoUpdate)" ng-model="autoUpdate" > 
                        Auto update data (5s.)
                    </label>
                </div>

            </div>

        </div>
    </div>

    <div class="col-md-7">
        <h2>Last 20 requests</h2>
        <div class="table-borderless">
            <table class="table table-hover">
                <tr>
                    <th>Created Date</th>
                    <th>Creator</th>
                    <th>Assignee</th>
                    <th>Closed Date</th>
                    <th>Duration, min.</th>
                    <th>Status</th>
                </tr>
                <tr ng-repeat="request in main.requests">
                    <td ng-bind="request.createdDateTime | date:'yyyy-MM-dd HH:mm'"></td>
                    <td class="text-lowercase" ng-bind="request.creator"></td>
                    <td class="text-lowercase" ng-bind="request.assignee"></td>
                    <td ng-bind="request.closedDateTime ? (request.closedDateTime | date:'yyyy-MM-dd HH:mm') : '-'"></td>
                    <td ng-bind="(request.duration !== 0 ? (request.duration | number:1) : '-')"></td>
                    <td ng-bind="request.status"></td>
                </tr>
            </table>
        </div>
    </div>

    <div class="col-md-5">
        <h2>Users</h2>
        <div class="table-borderless">
            <table class="table table-hover">
                <tr>
                    <th>Email</th>
                    <th>Status</th>
                </tr>
                <tr ng-repeat="user in main.users">
                    <td ng-bind="user.email"></td>
                    <td ng-bind="user.status ? user.status : '-'"></td>
                </tr>
            </table>
        </div>
    </div>

</div>


</div>
